kind: ConfigMap
apiVersion: v1
metadata:
  selfLink: /api/v1/namespaces/install-crw-using-crwctl/configmaps/che
  resourceVersion: '6734855'
  name: che
  uid: 1cd53274-e82c-4765-a15c-73704087360e
  creationTimestamp: '2020-06-16T09:06:30Z'
  managedFields:
    - manager: che-operator
      operation: Update
      apiVersion: v1
      time: '2020-06-16T09:06:30Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:data':
          'f:CHE_WORKSPACE_HTTPS__PROXY': {}
          'f:CHE_WEBSOCKET_ENDPOINT': {}
          'f:CHE_WORKSPACE_PLUGIN__BROKER_METADATA_IMAGE': {}
          'f:CHE_KEYCLOAK_CLIENT__ID': {}
          'f:CHE_INFRA_KUBERNETES_PVC_STORAGE__CLASS__NAME': {}
          'f:CHE_DEBUG_SERVER': {}
          'f:CHE_WORKSPACE_PLUGIN__REGISTRY__URL': {}
          'f:CHE_INFRA_KUBERNETES_PVC_QUANTITY': {}
          'f:KUBERNETES_LABELS': {}
          'f:CHE_INFRA_KUBERNETES_NAMESPACE_DEFAULT': {}
          'f:CHE_WORKSPACE_PLUGIN__BROKER_ARTIFACTS_IMAGE': {}
          'f:CHE_API': {}
          'f:CHE_KEYCLOAK_AUTH__SERVER__URL': {}
          'f:JAVA_OPTS': {}
          'f:CHE_WORKSPACE_HTTP__PROXY': {}
          'f:CHE_INFRA_KUBERNETES_PVC_JOBS_IMAGE': {}
          'f:CHE_INFRA_KUBERNETES_PVC_STRATEGY': {}
          .: {}
          'f:CHE_INFRA_KUBERNETES_TRUST__CERTS': {}
          'f:CHE_INFRASTRUCTURE_ACTIVE': {}
          'f:CHE_INFRA_OPENSHIFT_TLS__ENABLED': {}
          'f:CHE_WORKSPACE_MAVEN__OPTIONS': {}
          'f:CHE_WORKSPACE_NO__PROXY': {}
          'f:CHE_INFRA_KUBERNETES_NAMESPACE_ALLOW__USER__DEFINED': {}
          'f:CHE_MULTIUSER': {}
          'f:CHE_METRICS_ENABLED': {}
          'f:CHE_WORKSPACE_HTTP__PROXY__JAVA__OPTIONS': {}
          'f:CHE_SERVER_SECURE__EXPOSER_JWTPROXY_IMAGE': {}
          'f:CHE_PORT': {}
          'f:CHE_KEYCLOAK_REALM': {}
          'f:CHE_INFRA_KUBERNETES_PVC_PRECREATE__SUBPATHS': {}
          'f:CHE_WEBSOCKET_ENDPOINT__MINOR': {}
          'f:CHE_LOG_LEVEL': {}
          'f:CHE_INFRA_KUBERNETES_SERVICE__ACCOUNT__NAME': {}
          'f:CHE_HOST': {}
          'f:CHE_INFRA_OPENSHIFT_OAUTH__IDENTITY__PROVIDER': {}
          'f:CHE_JDBC_URL': {}
          'f:CHE_WORKSPACE_DEVFILE__REGISTRY__URL': {}
          'f:CHE_WORKSPACE_JAVA__OPTIONS': {}
        'f:metadata':
          'f:labels':
            .: {}
            'f:app': {}
            'f:component': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"caa62821-29f3-469f-808d-e13946ad547b"}':
              .: {}
              'f:apiVersion': {}
              'f:blockOwnerDeletion': {}
              'f:controller': {}
              'f:kind': {}
              'f:name': {}
              'f:uid': {}
  namespace: install-crw-using-crwctl
  ownerReferences:
    - apiVersion: org.eclipse.che/v1
      kind: CheCluster
      name: codeready-workspaces
      uid: caa62821-29f3-469f-808d-e13946ad547b
      controller: true
      blockOwnerDeletion: true
  labels:
    app: codeready
    component: codeready
data:
  CHE_INFRA_KUBERNETES_PVC_PRECREATE__SUBPATHS: 'true'
  CHE_PORT: '8080'
  CHE_INFRA_KUBERNETES_PVC_STRATEGY: per-workspace
  CHE_KEYCLOAK_REALM: codeready
  CHE_INFRA_KUBERNETES_TRUST__CERTS: 'true'
  CHE_INFRASTRUCTURE_ACTIVE: openshift
  CHE_WORKSPACE_NO__PROXY: ''
  CHE_INFRA_KUBERNETES_NAMESPACE_ALLOW__USER__DEFINED: 'false'
  CHE_MULTIUSER: 'true'
  CHE_METRICS_ENABLED: 'false'
  CHE_HOST: codeready-install-crw-using-crwctl.apps.ocp45.crw-qe.com
  CHE_SERVER_SECURE__EXPOSER_JWTPROXY_IMAGE: 'quay.io/crw/jwtproxy-rhel8:latest'
  CHE_WEBSOCKET_ENDPOINT__MINOR: >-
    wss://codeready-install-crw-using-crwctl.apps.ocp45.crw-qe.com/api/websocket-minor
  CHE_LOG_LEVEL: INFO
  CHE_JDBC_URL: 'jdbc:postgresql://postgres:5432/dbche'
  CHE_WORKSPACE_DEVFILE__REGISTRY__URL: 'https://devfile-registry-install-crw-using-crwctl.apps.ocp45.crw-qe.com'
  CHE_WEBSOCKET_ENDPOINT: 'wss://codeready-install-crw-using-crwctl.apps.ocp45.crw-qe.com/api/websocket'
  CHE_WORKSPACE_HTTPS__PROXY: ''
  CHE_DEBUG_SERVER: 'false'
  CHE_INFRA_KUBERNETES_SERVICE__ACCOUNT__NAME: che-workspace
  CHE_INFRA_OPENSHIFT_OAUTH__IDENTITY__PROVIDER: 'NULL'
  CHE_INFRA_KUBERNETES_NAMESPACE_DEFAULT: install-crw-using-crwctl
  CHE_WORKSPACE_JAVA__OPTIONS: >-
    -XX:MaxRAM=150m -XX:MaxRAMFraction=2 -XX:+UseParallelGC
    -XX:MinHeapFreeRatio=10 -XX:MaxHeapFreeRatio=20 -XX:GCTimeRatio=4
    -XX:AdaptiveSizePolicyWeight=90 -Dsun.zip.disableMemoryMapping=true -Xms20m
    -Djava.security.egd=file:/dev/./urandom 
  CHE_WORKSPACE_PLUGIN__BROKER_ARTIFACTS_IMAGE: 'quay.io/crw/pluginbroker-artifacts-rhel8:latest'
  CHE_KEYCLOAK_CLIENT__ID: codeready-public
  CHE_WORKSPACE_PLUGIN__BROKER_METADATA_IMAGE: 'quay.io/crw/pluginbroker-metadata-rhel8:latest'
  CHE_INFRA_KUBERNETES_PVC_STORAGE__CLASS__NAME: ''
  CHE_KEYCLOAK_AUTH__SERVER__URL: 'https://keycloak-install-crw-using-crwctl.apps.ocp45.crw-qe.com/auth'
  CHE_WORKSPACE_PLUGIN__REGISTRY__URL: 'https://plugin-registry-install-crw-using-crwctl.apps.ocp45.crw-qe.com/v3'
  CHE_INFRA_KUBERNETES_PVC_QUANTITY: 1Gi
  KUBERNETES_LABELS: 'app=codeready,component=codeready'
  CHE_INFRA_OPENSHIFT_TLS__ENABLED: 'true'
  CHE_API: 'https://codeready-install-crw-using-crwctl.apps.ocp45.crw-qe.com/api'
  CHE_WORKSPACE_MAVEN__OPTIONS: >-
    -XX:MaxRAM=150m -XX:MaxRAMFraction=2 -XX:+UseParallelGC
    -XX:MinHeapFreeRatio=10 -XX:MaxHeapFreeRatio=20 -XX:GCTimeRatio=4
    -XX:AdaptiveSizePolicyWeight=90 -Dsun.zip.disableMemoryMapping=true -Xms20m
    -Djava.security.egd=file:/dev/./urandom 
  JAVA_OPTS: '-XX:MaxRAMPercentage=85.0 '
  CHE_WORKSPACE_HTTP__PROXY: ''
  CHE_INFRA_KUBERNETES_PVC_JOBS_IMAGE: 'registry.access.redhat.com/ubi8-minimal:8.2'
  CHE_WORKSPACE_HTTP__PROXY__JAVA__OPTIONS: ''

